Bei mir sieht der Io Broker auf dem RasPI ganz anders aus als im Video. Alexa findet Sonoff Geräte nicht

  • Hi Ralf


    js-controller lässt sich NICHT über den Admin Adapter aktualisieren !


    Das geht NUR in der Konsole.

    Ich habe schon einmal gemacht, und es hat funktioniert:)

    Aber wie ich schon einmal sagte die erste Wahl ist die Konsole.

    Grüße Franz

    Raspberry Pi3, ioBroker, Broadlink Pro, Broadlink Mini, Harmony Hub, WD My Cloud, Funksteckdosen 433 MHz, Danny3 Sonoff Touch, Osram Smart+Plug, TP-Link HS 110 Wlan Steckdose, Xiaomi Yeelight, 2 Xiaomi Gateways + sämtliche Sensoren, Alexa, Google Home, iPad Air2, iMac.


  • Ist zukünftig NUR NOCH über die Konsole möglich

    ( Funktion ist im aktuellen Admin Adapter nicht mehr implementiert. )

    Ok Ralf gut zu wissen.:thumbup:

    Ich habe noch die 2.0.9 Version des Admin Adapters am laufen.

    Grüße Franz

    Raspberry Pi3, ioBroker, Broadlink Pro, Broadlink Mini, Harmony Hub, WD My Cloud, Funksteckdosen 433 MHz, Danny3 Sonoff Touch, Osram Smart+Plug, TP-Link HS 110 Wlan Steckdose, Xiaomi Yeelight, 2 Xiaomi Gateways + sämtliche Sensoren, Alexa, Google Home, iPad Air2, iMac.


  • Kelle kelle, da habe ich ja wieder was losgetreten xDDD


    schneide immernoch das Video, gut wie ich das jetzt update ist da leider nicht mehr mit drin, sondern nur wie ich auf den neuen Admin gepatcht habe und wie ich diesen dann wieder gerettet habe weil ich irgendwas falsch gemacht hatte bei der installation, hatte dann erst plötzlich 2 Admins und bin dann nicht mehr auf den ioBroker drauf gekommen, habe dann einfach über FileZilla die 2 Admins gelöscht und habe den Admin Adapter einfach per konsole wieder neu erstellt xD

  • by the way NPM 5.7.1 ist die höchste Version die aktuell von ioBroker unterstützt wird also am besten wenn ihr zu hoch seid, wieder downgraden mit


    Code
    1. npm install -g npm@>=5.7.1

    weil bei mir hat mit der neueren NPM garnix mehr funktioniert kein Cloudadapter einfach garnix, selbst in den Logs von ioBroker stand ich soll auf NPM 4.X oder maximal auf 5.7.1


    danach musste ich übrigens noch ein...


    Code
    1. iobroker upload all
    2. iobroker restart

    ausführen damit wieder alles funktioniert hat :)


    Jetzt gehen auch ALLE Adapter wieder

  • Witzig :) (Weder ironisch noch böse gemeint)

    Ich habe npm 5.8.0 und alles im "grünen Bereich" <--- im wahrsten Sinne des Wortes ^^

    Auch die Log ist clean...

    Die letzten Worte vor dem Weltuntergang: "...das ist technisch völlig unmöglich..."


    aktuelle Projekte: <<< Magic Mirror +++ RMS +++ Wetterstation +++ Somfy Fernbedienung >>>

  • krass, hmm,


    ja bei mir stand wirklich im Log selbst drin man soll 5.7.1 installieren, vielleicht hat das was mit Debian zutun.

    ist denke ich sogar sehr wahrscheinlich das es daran liegt weil ich denke das ist der einzige Unterschied den wir haben. Bin jetzt auch gerade dabei meine ganzen Schwarzen ioBroker Adapter gegen den weißen zu tauschen, checke nur noch nicht so recht wie ich die ganzen Signale rüber kopieren kann xDD

  • Da muss ich dich leider enttäuschen Ubuntu 16.04 LTS

    Allerdings meckert der simple API-Adapter bei npm größer 5.x.x und kleiner 5.7.1

    Ich weiß nicht ob das Einbildung ist, aber mir kommt der Start bei 5.8.0 langsamer vor. Es dauert jetzt schon mal 1-2 Minuten bis alles grün ist. Das ging IMO vorher schneller?

    Die letzten Worte vor dem Weltuntergang: "...das ist technisch völlig unmöglich..."


    aktuelle Projekte: <<< Magic Mirror +++ RMS +++ Wetterstation +++ Somfy Fernbedienung >>>

  • Hi Dennis

    " Bin jetzt auch gerade dabei meine ganzen Schwarzen ioBroker Adapter gegen den weißen zu tauschen, checke nur noch nicht so recht wie ich die ganzen Signale rüber kopieren kann xDD"


    Falls du das schaffen solltest sage bitte bescheid, das würde mich auch interessieren wie das geht.

    Habe ich bis jetzt noch nix gefunden, wie man das machen könnte, und ich bin zu faul das alles wieder manuell zu machen.:D:thumbup:

    Grüße Franz

    Raspberry Pi3, ioBroker, Broadlink Pro, Broadlink Mini, Harmony Hub, WD My Cloud, Funksteckdosen 433 MHz, Danny3 Sonoff Touch, Osram Smart+Plug, TP-Link HS 110 Wlan Steckdose, Xiaomi Yeelight, 2 Xiaomi Gateways + sämtliche Sensoren, Alexa, Google Home, iPad Air2, iMac.


  • ja der post hier nehme ich an... Broadlink (RM3) Adapter - wird in Objekte nicht angezeigt


    aber so recht verstehe ich das Nicht, also ich versuche die Punkte Mal so zu wiedergeben wie ich es nun verstehe...


    1. beim Schwarzen Adapter auf die lernedSignal gehen dann oben auf die Pfeiltaste nach unten klicken damit er sowas runter lädt

    2. beim neu installierten Adapter auf den richtigen Broadlink gehen und dann da auf die Pfeiltaste nach oben die Datei auswählen die er zuvor heruntergeladen hat und dann sollte es drin sein.


    Also so habe ich das jedenfalls verstanden, habe es so gemacht und es gibt natürlich nicht was darauf schließen lässt das ich es komplett Falsch verstanden habe xDDD


    Kannst du versuchen das so Punkt für Punkt zu erklären damit selbst ich Doofi das verstehe xDDD

  • Nene, viel zu kompliziert :)

    Einfach den Broadlink anklicken und in JSON speichern auswählen und speichern lassenschimmer-media.de/index.php?attachment/2224/schimmer-media.de/index.php?attachment/2225/

    dann den Broadlink deinstallieren und den "weißen" installieren.

    Danach einfach "JSON hochladen" klicken, gespeicherte Datei auswählen und max. den Broadlink nochmal neu starten (kann sein das es auch ohne geht). Dauert keine 2 Minuten.


    Natürlich alles nur mit vorherigem Backup ausprobieren;)

    Die letzten Worte vor dem Weltuntergang: "...das ist technisch völlig unmöglich..."


    aktuelle Projekte: <<< Magic Mirror +++ RMS +++ Wetterstation +++ Somfy Fernbedienung >>>

  • Ich hab nur noch den weißen, allerdings wenn ich ihn lösche bekomme ich so alle meine Einstellungen zurück.

    Hast du admin 3.3.9?

    Schau mal in eine der JSON-Dateien mit einem Texteditor, da sollten zumindest deine Befehle und die Codes erkennbar sein. Nicht das schon der Export scheitert...

    Die letzten Worte vor dem Weltuntergang: "...das ist technisch völlig unmöglich..."


    aktuelle Projekte: <<< Magic Mirror +++ RMS +++ Wetterstation +++ Somfy Fernbedienung >>>

  • ja habe auch Admin 3.3.9 habe alles auf den neusten Stand gebracht


    Bin auf Admin 3.3.9

    NPM ist doch auf 5.8.1 gegangen (mit dem Befehl von eben)

    Node.js ist auf v9.10.1


    Soweit läuft auch alles, und in dem Download sind auch alle Signale drin, habe mir das gerade mal mit DreamViewer angeguckt, sieht alles okay aus, aber der ballert das irgendwie nicht in den weißen Broadlink Adapter rein

  • Kannst du mal eine neue Instanz hinzufügen (also beim schwarzen) und genau einen IR-Befehl anlernen, die JSON für diese herunterladen und mir schicken?

    Die letzten Worte vor dem Weltuntergang: "...das ist technisch völlig unmöglich..."


    aktuelle Projekte: <<< Magic Mirror +++ RMS +++ Wetterstation +++ Somfy Fernbedienung >>>

  • Node.js soll man nur 6.x nehmen da der iobroker mit den höheren nicht richtig funjtioniert laut Forum, ausserdem sind ungerade versionen immer Entwicklerversionen.


    wenn dann höchstens die 8er nehmen. Ich hab npm 5.8.0, Node 6.14.1 , admin 3.3.9 und js.controller 1.4.2 und es läuft alles. ausser das ich ab und an bei einem adapter diese File.Index.Html meldung habe in den einstellungen und dem info adapter nach adapter neustart funzt es wieder.


    Da such eich noch nach der ursache.


    den Schwarzen Adapter gibt es bei mir nicht mehr.

  • Bei mir läuft auch alles, und ich habe eigentlich auch nur Node.js 6.x installiert, aber durch die ganzen Tipps die ich hier bekommen habe und die befehle die ich dann ausgeführt habe war dann auf einmal, ich glaube nach der neuen NPM Installation, auch die Node.JS geupdatet. Ist aber egal, denn es funktioniert alles wie am schnürchen und besser noch ich habe nun sogar endlich Adapter zu laufen gebracht die vorher garnicht liefen :)